#version: '3.8'

services:
  app:
    build: Dockerfile  # This will use the Dockerfile in the current directory
    container_name: backend
    ports:
      - "8080:8080"  # Expose port 8080 on the host to the container
    volumes:
      - ./target:/app/target  # Mount the target directory to the container (useful for live reloading or development)
#    environment:
#      SPRING_PROFILES_ACTIVE: "prod"  # Example: Set an environment variable (e.g., Spring profile)
    restart: unless-stopped  # Always restart the container unless it is explicitly stopped
